# pandas.DataFrame.from_items

classmethod `DataFrame.``from_items`(items, columns=None, orient='columns')

  Convert (key, value) pairs to DataFrame. The keys will be the axis index (usually the columns, but depends on the specified orientation). The values should be arrays or Series.

  Parameters:

  items : sequence of (key, value) pairs

  > Values should be arrays or Series.

  columns : sequence of column labels, optional

  > Must be passed if orient=’index’.

  orient : {‘columns’, ‘index’}, default ‘columns’

  > The “orientation” of the data. If the keys of the input correspond to column labels, pass ‘columns’ (default). Otherwise if the keys correspond to the index, pass ‘index’.

  Returns: | frame : DataFrame